A Community discussion forum for Halo Custom Edition, Halo 2 Vista, Portal and Halo Machinima

Home  Search Register  Login Member ListRecent Posts
  
 
»Forums Index »Halo Custom Edition (Bungie/Gearbox) »Halo CE General Discussion »Minimum OS: Windows XP 32-bit or Windows 7 32-bit?

Author Topic: Minimum OS: Windows XP 32-bit or Windows 7 32-bit? (4 messages, Page 1 of 1)
Moderators: Dennis

sparky
Joined: Jun 27, 2009

Jesus is a friend to the vindictive sociopath


Posted: Apr 29, 2016 08:48 AM    Msg. 1 of 4       
Halo is 32-bit, so 64-bit is exceptional. Normally, what should the minimum operating system support for community-developed programs be? Halo runs on Windows XP. However, the maximum .NET framework for Windows XP is 4.0, and we're currently up to 4.6.1.


MatthewDratt
Joined: Sep 11, 2010

HaloCE3.com MattDratt.com


Posted: Apr 29, 2016 12:11 PM    Msg. 2 of 4       
Quote:
Halo: Combat Evolved Minimum Requirements
CPU: Pentium II or Athlon equivalent
CPU Speed: 733 MHz
RAM: 128 MB
OS: Windows 98SE/ME/2000/XP (95 & NT not supported)
Video Card: 32 MB Video Card, T&L Capable
DirectX version: 8.1
Sound Card: Yes
Free Disk Space: 1.2 GB
CD-ROM: 8x speed or faster CD-ROM drive


The min specs for program will probably depend on your program and what it does.


RadWolfie
Joined: Dec 24, 2013

Programmer


Posted: Apr 29, 2016 12:47 PM    Msg. 3 of 4       
My program I'm developing supports Windows XP as the lowest OS compatible since there are some kernel functions I do require to use. As for .NET Framework, I would say minimum 3.0 or 3.5 version as suggestive.


Quote: --- Original message by: MatthewDratt
DirectX version: 8.1


Wait what? No... It use DirectX 9.0. Halo installed DirectX 9.0b however you can update to 9.0c since it's the latest one. Source: https://support.microsoft.com/en-us/kb/829479


MatthewDratt
Joined: Sep 11, 2010

HaloCE3.com MattDratt.com


Posted: Apr 29, 2016 01:09 PM    Msg. 4 of 4       
Quote: --- Original message by: RadWolfie
My program I'm developing supports Windows XP as the lowest OS compatible since there are some kernel functions I do require to use. As for .NET Framework, I would say minimum 3.0 or 3.5 version as suggestive.


Quote: --- Original message by: MatthewDratt
DirectX version: 8.1


Wait what? No... It use DirectX 9.0. Halo installed DirectX 9.0b however you can update to 9.0c since it's the latest one. Source: https://support.microsoft.com/en-us/kb/829479


my source lied to me

 

 
Previous Older Thread    Next newer Thread







Time: Mon September 16, 2019 5:49 AM 172 ms.
A Halo Maps Website